#
# spec file for package gnome-js-common
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-js-common
Version:        0.1.2
Release:        20.5
Summary:        JavaScript bindings based on gobject-introspection and WebKit
License:        GPL-3.0+
Group:          Development/Libraries/GNOME
Source:         %{name}-%{version}.tar.bz2
# Note: we don't want gjs-devel or libseed-devel as BuildRequires as it doesn't
# bring anything to the package, and it would create a build loop.
BuildRequires:  intltool
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Seed is a library and interpreter, dynamically bridging (through
gobject-introspection) the WebKit JavaScriptCore engine with the GObject type
system. In a more concrete sense, Seed enables you to immediately write
applications around a significant portion of the GNOME platform, and easily
embed JavaScript as a scripting language in your GObject library.

%prep
%setup -q

%build
%configure
%__make %{?jobs:-j%jobs}

%install
%makeinstall
# We're not interested in /usr/share/doc/gnome_js_common: we already ship those files
# elsewhere
for file in %{buildroot}%{_datadir}/doc/gnome_js_common/*; do
    test -s $file || rm -f $file
done
# Remove files that we already package as documentation
rm -f %{buildroot}%{_datadir}/doc/gnome_js_common/{INSTALL,COPYING,ChangeLog}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_libdir}/gnome-js
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Thu Aug 26 2010 vuntz@opensuse.org
- Update to version 0.1.2:
  + Build fixes.
* Thu Jul 30 2009 vuntz@novell.com
- Initial package, needed by new seed package.
